<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script type="text/javascript">
            function funcion1(){
                nombre = document.formulario.cnombre.value;
                console.log(nombre); 
            }
            // Por query selector 
            nombre = document.querySelector("#inombre").value;
            console.log(nombre)
        </script>
        <script>                
            let nombre = "Tu nombre";                       
            var a = 1;
            var b = 2;
            var c = 0

            // Por entrada de datos             
            nombre = prompt("Introduce un nombre"); 

            console.log(nombre);
        </script>
        <form name="formulario" >
            <label for="inombre">Introduce tu nombre</label>
            <input type="text" name="cnombre" value="" placeholder="Escribe tu nombre" id="inombre">

            <button type="button" onclick="funcion1()">leer</button>
        </form>
        
    </body>
</html>
        
